DeepFellow DOCS

Create Messages

Create a model response for the given chat conversation.

Parameter support can differ depending on the model used to generate the response, particularly for newer reasoning models. Parameters that are only supported for reasoning models are noted below.

POST
/v1/messages
AuthorizationBearer <token>

In: header

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

max_tokens?Max Tokens
Default8000
messagesMessages
modelModel
metadata?Metadata | null
service_tier?Service Tier
stop_sequences?Stop Sequences
stream?Stream
Defaultfalse
system?System
Default""
temperature?Temperature
Default1
thinking?ThinkingConfigParam | null
tool_choice?ToolChoice | null
tools?Tools
top_k?Top K
top_p?Top P

Response Body

curl -X POST "https://loading/v1/messages" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{    "messages": [      {        "content": "Say Hello World o/.",        "role": "user"      }    ],    "model": "qwen3:0.6b"  }'
{
  "type": "message",
  "id": "string",
  "content": [
    {
      "type": "text",
      "text": "string",
      "citations": [
        {
          "type": "char_location",
          "cited_text": "string",
          "document_index": 0,
          "document_title": "string",
          "end_char_index": 0,
          "start_char_index": 0
        }
      ]
    }
  ],
  "model": "string",
  "role": "user",
  "stop_reason": "end_turn",
  "stop_sequence": "string",
  "usage": {
    "cache_creation": {
      "ephemeral_1h_input_tokens": 0,
      "ephemeral_5m_input_tokens": 0
    },
    "cache_creation_inpuit_tokens": 0,
    "cache_read_input_tokens": 0,
    "input_tokens": 0,
    "output_tokens": 0,
    "server_tool_use": {
      "web_search_requests": 0
    },
    "service_tier": "standard"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.